"""An interface for 21cm Global Signal Data."""

from importlib.metadata import PackageNotFoundError, version

try:
    __version__ = version("pygsdata")
except PackageNotFoundError:
    # package is not installed
    __version__ = "unknown"

__all__ = [
    "GSDATA_PROCESSORS",
    "GSData",
    "GSFlag",
    "History",
    "Stamp",
    "gsregister",
    "select_freqs",
    "select_lsts",
    "select_times",
    "KNOWN_TELESCOPES",
    "Telescope",
]

from .constants import KNOWN_TELESCOPES
from .gsdata import GSData
from .gsflag import GSFlag
from .history import History, Stamp
from .register import GSDATA_PROCESSORS, gsregister
from .select import select_freqs, select_lsts, select_times
from .telescope import Telescope
